Subject: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Feb 2024 14:41:03 +0200

> Date: Wed, 21 Feb 2024 02:19:11 +0000
> From: Nick OBrien <[email-masked]>
> Cc: [email-masked]
> 
> In other words, if I press and release a key at the same time, the lag isn't
> noticeable. I only see the lag when I press a key and don't release it. When a
> key is held down and auto-repeating, I don't notice a drastic speed difference
> with or without the lag. The appearing characters just look choppier when the
> lag is occurring.
> 
> I realize this is an awkward bug to explain and reproduce, thanks for bearing
> with me. More suggestions on how to narrow down the cause would be appreciated.

Isn't it expected that the key only appears when it's released?  Po
Lu, any comments to this strange issue?